## sonos-websocket 0.1.3

=== requirements.txt ===
aiohttp
async_timeout; python_version < "3.11"

=== debian/changelog ===
sonos-websocket (0.1.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 07 Aug 2024 16:34:26 +0200

sonos-websocket (0.1.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1077507)

 -- Edward Betts <edward@4angle.com>  Mon, 29 Jul 2024 22:55:02 +0900

=== debian/control ===
Source: sonos-websocket
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/jjlawren/sonos-websocket
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/sonos-websocket
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/sonos-websocket.git

Package: python3-sonos-websocket
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Async library to communicate with Sonos devices over websockets
 This library enables asynchronous communication with Sonos devices utilizing
 websocket technology. It allows for control over various Sonos functionalities
 such as playing audio clips, adjusting settings like volume, and querying
 device status. The library is designed to offer high performance and seamless
 interaction with Sonos speakers, helping users manage their audio systems
 efficiently. It handles tasks like playing media overlays, managing audio
 settings, and querying sensor data.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sonos-websocket


%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf sonos_websocket.egg-info/

override_dh_auto_test:

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sonos-websocket-$1\.tar\.gz/ \
  https://github.com/jjlawren/sonos-websocket/tags .*/v?(\d\S+)\.tar\.gz
